package com.me.asteroids;

import com.badlogic.gdx.ApplicationAdapter;
import com.badlogic.gdx.Gdx;
import com.me.asteroids.screens.GameScreen;
import com.me.common.Game;

public class Asteroids extends ApplicationAdapter {

	public Graphics graphics;
	private Game game;

	@Override
	public void create () {
		graphics = new Graphics(Constants.WIDTH, Constants.HEIGHT);
		graphics.initialize();

		game = new Game();
		game.setNextScreen(new GameScreen(graphics));
	}

	@Override
	public void render () {
		game.update(Gdx.graphics.getDeltaTime());
		game.render();
	}

	@Override
	public void dispose () {
		graphics.dispose();
		game.dispose();
	}

	@Override
	public void resize(int width, int height) {
		graphics.setScreenSize(width, height);
	}

}
